BindUserToQueue

View as Markdown

Bind/unbind users to/from the specified ACD queues. Note that users and queues should be already bound to the same application.

Allowed roles: Owner, Admin, Developer, User manager.

Example request: Bind three users to one queue.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

bindbooleanOptionalDefaults to true
Whether to bind or unbind users
application_idintegerOptional

The application ID. Required unless application_name is provided.

application_namestringOptional

The application name. Required unless application_id is provided.

user_idlist of integersOptional

The user ID list separated by semicolons (;). Use the ‘all’ value to specify all users bound to the application. Required unless user_name is provided.

user_namelist of stringsOptional

The user name list separated by semicolons (;). Required unless user_id is provided.

acd_queue_idlist of integersOptional

The ACD queue ID list separated by semicolons (;). Use the ‘all’ value to specify all queues bound to the application. Required unless acd_queue_name is provided.

acd_queue_namelist of stringsOptional

The queue name. The queue name list separated by semicolons (;). Required unless acd_queue_id is provided.

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully